/* Overall */

:root {
  --uwu-primary: #0a6900;
  --uwu-secondary: #ffb600;
  --uwu-tertiary: #ed1d24;
  --uwu-dark: #484848;
  --uwu-dark-2: #222222;
  --uwu-light: #FAFAFA;
  --uwu-light-2: #F5F5F5;
  --uwu-light-3: #EEEEEE;
  --uwu-light-4: #E0E0E0;
  --uwu-light-5: #BDBDBD;
}

h1,h2,h3,h4,h5,h6 {
  font-family: "DM Sans", serif;
}

body {
  font-family: "DM Sans", sans-serif;
}

/*  */

/* Header */

#header .header-nav-top .nav > li > a {
  color: var(--uwu-dark);
  transition: all 0.2s ease;
}
#header .header-nav-top .nav > li > a:hover {
  color: var(--uwu-tertiary);
}

#header .header-nav.header-nav-links.header-nav-light-text nav > ul > li > a {
  font-weight: 700;
  text-transform: capitalize;
  transition: all 0.2s ease;
}

#header .header-nav.header-nav-links nav > ul li:hover > a {
  color: var(--uwu-tertiary);
}

#header .header-nav.header-nav-links nav > ul:not(:hover) > li > a.active {
  color: var(--uwu-tertiary);
}

/*  */

/* Body */

a {
  color: var(--primary);
  transition: all 0.2s ease;
}
a:hover {
  color: var(--uwu-secondary);
  text-decoration: none !important;
}

.btn-primary:active:not(.bg-transparent) {
  background-color: #053500 !important;
}
.btn-primary:hover:not(.bg-transparent) {
  background-color: #053500 !important;
}

.btn-primary {
  border-color: var(--uwu-primary);
}
.btn-primary:hover, .btn-primary.hover {
  border-color: #053500 !important;
}

.list.list-icons li > [class*="fa-"]:first-child {
  border-color: unset;
}

.breadcrumb > li {
  color: var(--uwu-secondary);
}

.breadcrumb > li > a {
  color: var(--uwu-primary);
  transition: all 0.2s ease;
}
.breadcrumb > li > a:hover {
  color: var(--uwu-secondary);
  text-decoration: none;
}

.card-glass {
  margin: 1.5rem auto;
}

.featured-boxes-full .featured-box-full-light {
  background-color: var(--uwu-primary)
}

.feature-box.feature-box-style-2 h4 {
  color: var(--uwu-secondary);
}
.feature-box.feature-box-style-2 p {
  color: var(--uwu-light);
}

.carousel-half-full-width-wrapper > .owl-carousel .owl-stage-outer {
  padding-top: 40px;
  margin-bottom: 0;
}

.carousel-half-full-width-wrapper > .owl-carousel .owl-nav {
  position: absolute;
  top: 0;
  margin: 0;
  padding: 0;
  width: auto;
  transform: none;
  text-align: left;
}

.carousel-half-full-width-wrapper > .owl-carousel .owl-nav button.owl-prev, .carousel-half-full-width-wrapper > .owl-carousel .owl-nav button.owl-next {
  position: static;
  transform: none;
}

.carousel-half-full-width-wrapper > .owl-carousel .owl-nav button.owl-prev {
  margin-right: 5px;
}

.carousel-half-full-width-wrapper > .owl-carousel .owl-nav button.owl-next {
  margin-left: 5px;
}


/*  */

/* Footer */
#footer {
  margin-top: 0;
  border-top: 0;
  background: var(--uwu-dark-2);
}
#footer p {
  color: var(--uwu-light-5);
}
#footer .footer-copyright {
  background: var(--uwu-primary);
}
#footer .footer-copyright p {
  color: var(--light);
}
#footer a:not(.btn):not(.no-footer-css) {
  color: var(--uwu-light-5);
}
#footer a:not(.btn):not(.no-footer-css):hover {
  color: var(--light);
  text-decoration: none;
}

.list.list-icons li > [class*="fa-"]:first-child {
  color: var(--uwu-secondary);
}
/*  */


/*  Mobile View */

@media screen and (min-width: 0px) and (max-width: 319px) {
  
}   
@media screen and (min-width: 320px) and (max-width: 480px) {
  
}  
@media screen and (min-width: 481px) and (max-width: 768px) {
  
}  
@media screen and (min-width: 769px) and (max-width: 1024px) {
  
}  
@media screen and (min-width: 1025px) and (max-width: 1200px) {
  
}
@media screen and (min-width: 1201px) and (max-width: 2400px) {
  
}


.fab-icon {
  position: absolute;
  top: 18%;
  right: 11%;
}

.floating {
  position: fixed;
  width: 40px;
  height: 40px;
  color: white;
  border-radius: 50px;
  /* box-shadow: 2px 2px 3px rgba(0, 0, 0, .5); */
  filter: drop-shadow(2px 2px 3px rgba(0, 0, 0, .5));
  z-index: 100;
  transition: ease .3s;
  text-decoration: none;
}

.floating:hover {
  text-decoration: none;
  color: white;
  transform: scale(1.1);
}

.i-fb {
  background-color: #1877F2;
  bottom: 230px;
  right: 16px;
  font-size: 25px;
}

.i-tt {
  background-color: #181818;
  bottom: 300px;
  right: 16px;
  font-size: 25px;
}

.i-wa {
  background-color: #0cc143;
  bottom: 180px;
  right: 16px;
  font-size: 25px;
}

.i-ig {
  background: linear-gradient(90deg, rgba(131, 58, 180, 1) 0%, rgba(253, 29, 29, 1) 50%, rgba(252, 176, 69, 1) 100%);
  bottom: 350px;
  right: 16px;
  font-size: 25px;
}

.i-wz {
  bottom: 260px;
  right: 16px;
  font-size: 25px;
  width: 40px;
}

.i-gm {
  bottom: 305px;
  right: 16px;
  font-size: 25px;
  width: 40px;
}

.floating img {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  object-fit: cover;
}

.battery-product .products-item {
  border: 2px solid #e6e6e6;
  padding: 15px;
  text-align: center;
  border-radius: 10px;
  margin-bottom: 15px;;
}

.battery-product .products-item h4 {
  font-size: 18px;
  font-weight: 600;
  margin-top: 10px;
  margin-bottom: 10px;
  text-transform: capitalize !important;
}

/* WOFFY UwU MMXXV */
/* 
⠀⠀⠀⠀⠀⠀⠀⠤⠤⣄⣠⣐⣐⡂⠑⠂⠵⢪⡕⣫⢞⡭⢯⡽⠙⢫⢿⣹⢯⡗⢸⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡧⢸⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⠀⠀⠀⠐⠈⠀⣁⠢⠐⡄⢢⡉⢭⠹⣹⡙⢦⣣⢶⣦⣭⣌⢡⣛⡃⠰⣈⡙⠛⡛⡸⠿⣿⣿⣡⣤⡉⢻⣿⣿⣿⣿⣿⣿⣿⠇⣛⢡⣿⠿⢻⣿⣿⣿⣿⣿⣿⣿⣿⣿
⠀⠀⢈⠠⠈⠄⡄⠢⡑⢌⢆⡙⣆⠻⡴⣉⠷⣭⣞⣼⣳⢶⠀⠙⠿⣷⡀⢍⠒⡅⠉⠐⢊⡀⠀⠀⠉⠀⠑⡊⠒⠒⢳⡌⢆⠳⡰⠛⠁⡀⣾⣿⣿⣿⣿⣿⣿⣿⣿⣿
⠀⠀⠠⢀⠁⢂⠘⠤⡑⢊⠦⡱⢎⡳⣭⢇⡻⢶⣹⢮⣟⣾⡂⠀⠀⠈⠙⠢⠙⠡⠐⠈⠄⡀⠠⢴⡠⠀⠀⣀⡁⢦⣇⠜⠈⠤⣀⣀⠐⡼⢻⠿⣿⣿⣿⣿⣿⣿⣿⣿
⠀⠀⠐⠠⢈⢂⠘⠤⡑⣩⠒⡝⢮⢵⣣⢯⠼⣏⣿⣻⣞⣿⢧⠀⠀⠄⠀⠀⢀⣀⠀⠉⠂⠀⠀⠀⠀⠀⠀⠀⠁⠉⣀⠀⠀⡀⢀⢠⣿⣿⣿⣿⣷⣶⣿⣾⣭⣟⣹⢻
⠀⠀⢈⠐⠠⠌⢂⢣⠘⡤⢛⡜⣣⢞⡵⣫⢞⡽⣶⣻⢾⣻⣿⣆⠀⠀⡈⡜⠁⡀⠄⢀⠠⠀⠀⠀⠀⠀⠀⠠⠀⡁⠢⢝⡄⠐⠀⠻⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⠀⠀⠀⠌⢠⠉⢆⢨⠱⣌⠳⡜⣥⢻⣜⡳⣎⠿⣵⡿⣿⣟⡾⡍⠁⠀⢆⡁⠰⠀⠌⡀⠀⢠⠁⣰⠀⠀⠠⠀⠡⠀⡉⠠⣋⢌⠒⠀⢈⢿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⠀⠀⠀⡈⠄⡊⠔⡨⡑⣌⢳⡹⣌⠷⣮⣝⡎⡿⣽⣻⣌⠋⠃⠀⠀⠠⠀⡉⠂⣘⠂⠀⠘⣢⣾⣿⣦⢄⠐⠰⢄⠣⠌⠖⠓⠄⡂⠀⠀⢪⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⠀⠀⠀⠐⠠⡑⠌⡄⡳⢌⠶⡱⢎⡻⢶⡹⡖⢫⣗⢯⠞⠁⠀⠀⠀⠀⠀⠌⠢⠀⢀⡴⢈⣿⣿⣿⣿⣆⠀⣀⠀⠄⠂⠀⠈⠐⠠⠀⠀⠀⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⠀⠀⠀⠀⢡⠘⠤⣁⠳⢌⡚⣱⢫⡝⣳⡝⣏⢧⡤⡌⠀⠀⠀⠀⠀⠀⠂⠈⢂⣴⣯⡅⢸⣿⣿⣿⣭⣛⡆⠙⣶⡀⠀⠀⠀⢁⠀⠀⢀⠀⡘⣿⣿⣿⣿⣿⣿⣿⣿⣿
⠀⠀⠀⠀⠠⠌⠒⠤⡘⠦⡙⣤⠳⣜⣣⢟⡽⢪⡷⡁⠀⠀⠀⠀⠀⠀⠀⠄⢞⠿⠿⣧⠘⣿⣿⣿⣿⣿⣻⡤⡈⠿⡄⠀⠀⠀⠠⠀⠀⠱⠀⠉⣩⣿⣿⣿⣿⣿⣿⣿
⠀⠁⠀⠀⠀⢂⠉⡐⢁⠒⣑⢢⠓⡼⣌⢻⡼⡙⠞⠀⠀⠀⠀⠀⠀⠀⠀⠀⢠⣄⢁⡀⢠⣾⣿⣿⣿⣿⢢⡁⣀⠀⣄⠀⠀⠀⢈⠰⠀⠀⠀⣈⣤⣵⣿⣿⣿⣿⣿⣿
⢀⠁⠂⠀⠀⠠⢈⠐⠌⢒⠠⢌⠑⠲⢌⡳⡜⣄⠂⡄⠀⠀⠀⠀⠀⠀⠀⡐⣷⣣⢞⢷⣾⣿⣿⣿⣿⣿⣿⣶⢟⣷⢲⡲⠃⠀⠄⠀⠀⠀⠠⢿⣿⣿⣿⣿⣿⣿⣿⣿
⠀⠀⠀⠀⠀⠀⠠⠈⡐⢈⠒⠌⡛⢲⢤⣤⣁⡈⠙⠰⠀⠀⠀⠀⠀⠀⠀⠀⣌⢶⣿⣾⣿⣿⣯⣿⣿⣿⣿⣿⣻⣜⣿⠡⠃⠀⠀⠀⠀⠀⠌⠿⣿⣿⣿⣿⣿⣿⣿⣿
⠀⡈⢀⠠⣀⠒⢄⠠⡄⢂⠈⠐⢡⢊⠲⣐⢣⡝⣞⠦⠀⠀⠀⠀⠀⠀⠀⠀⠘⢿⣿⣿⣿⢿⣿⣿⣿⣿⢛⣿⣿⣛⡇⠁⠀⠀⠀⠀⠀⠰⠿⣾⣿⣿⣿⣿⣿⣿⣿⣿
⢢⠑⢄⣁⠠⠹⣌⠳⣜⢣⣍⠳⡤⡄⠁⠘⣆⢳⡘⠀⠀⠀⠀⠀⢁⠀⠀⠀⠀⠈⠹⢿⣿⣷⣿⣗⣿⣾⣿⢿⠻⠊⠀⠀⠀⣀⣲⣦⣷⠐⡰⢈⠙⢿⣿⣿⣿⣿⣿⣿
⠰⡌⡔⡈⢯⣳⢤⣍⡊⢓⡜⠳⣌⢲⠩⡄⢘⠦⠄⠀⠀⠀⠀⠀⠀⡀⠀⠀⢢⠐⡀⠠⢈⠙⠻⠿⠿⠟⠋⠁⠀⠀⡀⢢⣾⠿⣽⣿⠋⡔⣡⠊⡔⠈⣿⣿⣿⣿⣿⣿
⠱⡜⢲⡙⢂⣂⠩⡖⢦⢉⡞⣱⢎⡣⢏⠀⠈⢆⢃⠀⠀⠀⠀⠀⠀⠐⡉⠄⡀⠣⡐⡡⢄⡐⠀⠀⢄⠠⢂⢌⡴⠿⣛⣽⣴⣿⡿⢡⠊⡔⢢⠝⢠⠃⢸⣿⣿⣿⣿⣿
⠱⣉⠧⣘⢦⡓⣆⡩⢆⠯⣜⡣⢎⡕⠀⠀⠈⠄⢊⠤⠀⠀⠀⠀⠀⠀⠀⠣⡐⠠⠐⢅⡊⠔⣂⢡⠂⣱⣦⣴⣿⣿⣿⣿⠟⢫⠐⡡⢊⠜⡡⠚⢠⠉⠀⠻⣿⣿⣿⣿
⢱⢊⡼⡱⢎⡵⢪⢵⣋⡟⡴⣙⠎⠀⠀⠐⠀⠈⠄⡘⠀⠀⠀⠀⠈⠠⠀⠀⠌⢢⡁⡐⠈⡙⠚⠿⠿⡿⠿⠿⢛⠛⠍⠂⣩⠔⢊⠰⡁⠎⠐⠈⢂⠅⠀⠀⢽⣿⣿⣿
⢌⡳⢜⡱⢫⡜⡝⣦⢓⢮⡱⡉⠀⠀⠀⠀⠀⠀⠂⠀⠡⠀⠀⠀⠀⠁⢂⠀⡜⠤⢌⠣⣑⠄⢣⠐⠤⢑⠨⡐⢂⡍⠖⣋⠔⡌⠦⡑⠌⠀⠄⠊⠠⠈⠀⠀⠸⢿⣿⢿
⡌⠲⣍⢺⠱⣎⠵⡪⢝⡢⠓⠀⠀⠀⠀⠀⠀⠀⠀⠀⠁⠀⠀⠀⠀⠀⠀⢈⠴⣉⢆⠣⡌⡹⢢⠜⣠⢣⠖⡩⢍⠲⣉⠦⡙⠬⡄⠂⠀⠀⠠⠌⡐⠁⠀⠀⠳⣶⣮⣽
⠘⡱⢌⠲⣉⠦⡓⣍⠲⡡⠁⠀⠀⠀⠀⠀⡀⠄⠀⠀⠀⠀⠀⠀⠀⠀⠀⠈⠒⡌⢆⡓⡸⢄⠣⡜⡅⢢⠜⡡⢎⡱⢌⠲⣉⠖⡨⠀⠀⠀⠁⢂⠀⡀⠄⠀⠀⠈⣿⣿
⠀⠘⡄⠣⢌⠒⡡⠂⠁⠁⡀⠄⣀⠴⠂⠁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠄⠀⠀⠈⠐⡈⠔⠊⠔⡹⠌⡡⢎⡑⠎⡴⢉⠖⡡⢎⠀⠀⠀⠀⠀⠀⠀⠐⡈⠀⠀⠀⣼⢿
⠀⠀⠀⠡⠈⠀⡀⢄⢂⠡⠔⢈⠁⠀⠀⠀⢀⡀⠀⠐⡄⢀⠀⠀⠀⠁⠌⡀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠁⠂⠈⠱⠈⠅⠊⠅⠀⠀⠀⠀⠀⠀⠀⡐⠄⠀⠀⠀⢸⣏⣿
⠀⣀⠠⣄⢦⡵⠊⠀⠄⠂⠌⠀⣀⠠⣄⠐⢿⣿⣷⡀⠘⡄⠌⡀⠀⠌⣀⢂⠁⡀⡀⠀⠀⠀⠀⠐⠀⢆⠠⢀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠡⠐⠀⠌⠀⠀⢹⠸⡞
⠠⣌⠷⠛⠁⠀⠄⢁⠐⣀⠂⡅⡘⣆⠈⣦⠘⣿⣿⣿⡀⠀⠲⡀⠀⠂⡔⡈⢆⠱⡈⠄⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⢀⡀⠤⢠⢂⠠⢀⠀⠀⡀⠂⠀⠀⡀⡁⡘
⠀⠀⠄⠀⡀⡐⢠⠂⠜⡠⢘⠰⣀⠹⡄⠸⣆⠹⣿⣿⣿⡆⠁⢣⠀⠡⡐⢡⠊⡐⠀⡀⠀⠀⠀⠀⠀⠠⠀⠒⠈⠠⠋⠀⠃⠉⠂⠈⠀⠀⠀⠀⠀⠀⠀⠀⠰⡱⣄⠡
⠀⠀⢀⠂⡔⢁⠢⡘⠤⡑⢊⠆⡡⢃⢹⠄⣹⡀⢿⣿⣿⣿⠀⠀⢀⠠⠂⣁⠂⡠⢐⠠⠀⠐⠀⢂⠐⡐⠆⡰⢚⠰⠁⠀⡓⣒⢂⠀⠘⡱⠂⢄⠀⠀⠀⠀⣜⡑⣀⠠
⠀⠀⢌⠰⡐⠌⢂⡑⠢⠑⡌⠢⢑⠢⠌⡧⠐⣧⠘⣿⣿⣿⡇⠀⠀⡀⠑⢢⠒⠜⠁⠀⡄⠀⠀⠀⠀⠀⠀⠀⠀⠄⡂⠄⣱⢂⣍⡘⡀⣅⡉⠄⢢⠀⠀⢀⢭⣎⣶⠖
⠀⠈⠄⠡⠐⣈⠢⢐⠡⠃⡌⠑⢂⠒⠄⢹⡀⢱⠀⠿⠿⠛⠁⠀⠀⠉⠒⠦⠤⠰⠊⠁⠀⠀⠀⠀⡀⠀⠀⠀⣎⡠⢇⠪⠍⠭⢌⡹⠉⠀⠨⠙⠢⣄⠀⠱⣤⣍⠹⢈
⠀⠀⠈⠠⠁⠄⢂⠡⠈⠐⠀⠉⠀⠈⠀⠀⣀⣈⣀⣤⣤⣤⣤⡄⠀⠀⠠⠀⡠⠀⠄⠀⢀⠀⠠⢁⠀⠀⢠⠚⡁⠒⢈⣤⣴⣾⣿⣿⣿⣶⣶⣦⣀⠀⠐⠂⠹⢋⡐⠢
⠀⠀⠀⠠⠈⠐⡀⠂⠤⢁⠂⡄⡀⠀⠚⢿⣿⣿⣿⣿⣿⣿⣽⡿⢀⣶⣶⣧⣤⣥⣬⡄⠀⠠⠐⡒⠚⠉⠀⠀⣰⣾⣿⣿⣿⣿⣿⠿⡿⢿⡿⢿⣿⣆⠀⠀⠀⢠⡙⡄
⠀⠀⠀⠀⠀⠐⠠⠑⡈⠆⡡⠐⠄⡁⠠⡄⢈⠻⢿⢿⣿⣿⢏⠞⣩⢞⣿⠿⣿⢏⣀⣹⢔⢦⣅⡀⠀⠀⠀⢰⣿⣿⣿⡿⠟⣉⡴⠯⢖⠲⠒⠦⢍⡛⡄⠀⢀⠧⡘⠄
⠀⠀⠀⠀⠀⠀⠀⢃⠌⡐⢡⠘⢄⠡⠀⣍⢣⠖⡤⣑⠫⠟⢊⠞⢡⡞⣡⣰⢏⣰⣾⣿⣿⣿⣿⣿⣶⣤⡀⠘⣿⣿⠏⡰⠚⣡⡴⠞⡚⡛⢛⠒⡲⢌⡀⠜⡬⢒⠅⠀
⠀⠀⠀⠀⠀⠀⠀⠠⠌⡐⠡⣈⠂⠤⠁⢘⡎⢞⡱⢎⠆⣉⠫⢰⢯⣺⠷⢯⣾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣆⠹⠇⠞⣡⠏⢡⢐⡘⠔⣩⠢⣑⠐⣂⠑⠸⣐⠃⠀⠀
⠀⠀⢀⠀⠀⠀⠀⠀⠐⠠⠁⡄⠌⡐⠀⢸⡘⢧⡙⣎⢧⣈⠱⢘⡭⠁⠸⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡆⠈⡰⢁⡘⢄⠒⡌⢚⢄⠣⣄⠣⡐⠌⡀⠅⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠡⠐⠠⢀⠁⠠⣙⠦⡍⢚⢦⢧⠳⣌⡔⢜⡳⢤⡉⠻⢿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡄⡁⠆⡘⢄⠣⡘⢌⠬⢱⡀⢣⠘⡐⡀⠁⠀⠀⠀
⠀⡠⢆⡀⠀⠀⠀⠀⠀⠀⠀⢁⠂⠄⠂⠀⢥⠋⣐⠀⢈⡸⣛⡼⣚⢮⡝⡶⣭⢣⡤⠊⠛⠿⣿⣿⣿⣿⣿⣿⣿⣷⡄⠈⡔⡈⢆⠱⡈⢆⠣⡘⢄⠣⡐⠄⠀⠀⠀⠀
⢲⣡⢋⢷⣄⠀⠀⠄⠂⠀⠀⠀⠠⠈⠐⠀⢀⠳⣌⡃⠀⢱⢫⡼⠙⢶⡹⢧⡳⢯⡜⣏⠷⣠⢌⠛⠿⣿⢿⣿⣿⠟⠁⠀⡐⢡⠊⡔⢡⠊⡔⢡⠊⡔⠡⣈⠀⠀⠀⠀
⢆⣧⠿⣢⢞⣦⡁⠠⠐⢀⠀⠀⠀⢈⠐⠠⠀⠑⢬⢓⠶⣌⡳⢭⠓⠤⣉⣀⡭⣳⡝⢮⣛⡼⢎⡞⣰⠈⠑⠿⠊⡤⠃⠀⠀⠢⠑⡌⢢⠑⡌⢢⠑⠌⢒⠠⠀⠀⠀⠘
⢜⣣⠾⣝⣯⣿⣷⣄⠂⠀⠄⠀⢀⠀⠈⠀⡈⠄⡀⠩⢌⠲⠙⢲⡀⠀⠀⠣⡳⢇⡞⣧⠯⣜⠯⣜⢧⣋⠗⠌⢲⡑⠀⠀⠀⠡⠑⡈⢆⠱⡈⢆⠩⡘⢄⠂⡁⠀⠀⢸
⢪⢵⡻⣽⣾⣯⣿⣿⡇⠀⢀⠐⠠⡈⠄⠡⠐⠠⠀⢀⠈⢢⠙⡂⠙⢖⣺⡱⠈⣏⢞⣥⠻⣜⡏⡾⡜⣬⠛⢠⢓⠄⠀⠀⠀⠀⠱⡈⢄⠣⡘⢤⠓⡌⢢⠡⠀⠀⠀⢸
⠜⣎⢷⣛⡾⣟⠟⠋⠀⠀⠂⠌⡐⠀⠈⠀⠀⠀⠈⢆⠒⡤⠀⡑⢋⡞⡴⠉⢳⡜⣎⠮⣝⠦⡽⣱⡙⢶⡉⠤⠋⠀⠀⡐⠰⢈⡐⢁⠂⢆⠱⡈⢍⠰⡁⠢⠁⠀⠀⣼
⠻⣌⡞⣱⠯⠁⠀⠀⠀⠌⡈⠀⠀⢀⣤⡤⣤⣀⠈⠠⢉⠲⡑⢆⣀⠸⡌⠃⡀⠽⣌⠳⣎⡝⡲⢥⠛⢦⠅⡊⠅⠀⠐⡈⠔⢂⠐⡈⠰⢈⠆⠱⡈⢂⠡⠊⠀⠀⠀⣿
⢒⡤⠙⢉⠀⠀⠀⠠⠁⢂⣠⣶⣿⣿⣿⣿⣷⣧⡝⢠⡀⠑⢘⠢⢌⠣⣅⠰⣉⠷⣌⠳⡜⢲⡙⡌⢏⢆⠃⡐⠀⠀⠐⠠⠈⠄⠂⠄⠁⠀⠈⠐⠀⠁⠀⠀⠀⠀⠘⣿
⠸⣈⠞⣢⢄⠠⣴⣾⣿⣿⣿⣿⣿⣿⣿⣿⣿⢟⣫⣷⣮⡠⢀⠈⠢⠑⡌⠱⢌⠲⢌⠓⣌⠣⠜⡘⠬⡘⠀⠀⠀⠀⠀⠀⠁⠈⠀⢀⠂⠀⠈⠀⠀⠀⠀⠀⠀⠀⢸⣿
⠰⡈⢎⡱⢊⠷⣠⡙⠿⣿⣿⣿⣿⣿⣟⣕⢕⣿⣿⣿⣿⣿⣷⣦⣀⠁⠈⡁⠊⠔⠨⡘⠠⢃⠩⠐⡁⠂⠀⠀⠀⠀⠀⠀⠀⠀⠈⠀⠀⠀⠀⠀⠀⠐⠀⠁⠀⠀⣸⣿
⠠⠑⠂⡅⠫⠜⣡⢛⡴⣌⡛⢯⣿⡿⣋⣴⣿⣿⣿⣿⣿⣿⣿⣿⣿⣷⣦⣀⠈⠀⠡⢀⠁⢂⠁⠂⠄⠁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⠀⡀⡀⣀⢀⡐⣼⣿ 
*/
/* WOFFY UwU MMXXV */